resolvconf not updated on iscsi root

Bug #1050487 reported by Scott Moser on 2012-09-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
open-iscsi (Ubuntu)
Medium
Scott Moser
Precise
Medium
Unassigned

Bug Description

=== Begin SRU Information ===
[Impact]
When using iscsi-root, /etc/init/iscsi-network-interface stops
the network device providing the iscsi target network link from
being brought down. This works fine.

The problem is when resolvconf is in use, the dhcp search and
nameserver settings that were obtained from the initramfs's
dhcp client are never populated into resolvconf.

The result is that users have to find som other way to populate
/etc/resolv.conf if they're using iscsi root and want entries from dhcp
to be surfaced.

We would like this fixed in precise so that the maas "ephemeral boot images"
no longer have to have a specially patched open-iscsi inside them.
Previously, these images include PPA debs for open-iscsi and some other
packages.

The fix here is the same fix that is applied in quantal and forward in
ubuntu packaging. It simply makes /etc/init/iscsi-network-interface
replays data from the initramfs's dhcp request to resolvconf.

[Test Case]
Boot an iscsi root system with resolvconf installed
/etc/resolv.conf will be empty (or at least not populated by the responses
from the initramfs's dhcp client)

[Regression Potential]
There is a potential for regression here if the user is otherwise
modifying /etc/resolv.conf and has resolvconf installed.

any regression would almost certainly be limited to settings in
/etc/resolv.conf

[Other Info]
The maas "ephemeral images" have been using this patch for several
months, and the changes are the same as applied in quantal.
=== End SRU Information ===

on iscsi root /etc/init/iscsi-network-interface.conf stops the interface upon which the root device is made available from bouncing during normal boot.

As a result, though, then resolvconf doesn't get updated for this interface.
We need to have /etc/init/iscsi-network-interface.conf invoke resolvconf from the information in /run/net-<device>.conf

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: open-iscsi 2.0.873-3ubuntu1
ProcVersionSignature: User Name 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic x86_64
ApportVersion: 2.5.1-0ubuntu7
Architecture: amd64
Date: Thu Sep 13 15:32:42 2012
Ec2AMI: ami-00000148
Ec2AMIManifest: FIXME
Ec2AvailabilityZone: nova
Ec2InstanceType: m1.small
Ec2Kernel: unavailable
Ec2Ramdisk: unavailable
ProcEnviron:
 TERM=screen
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: open-iscsi
UpgradeStatus: No upgrade log present (probably fresh install)

Scott Moser (smoser) wrote :
Scott Moser (smoser) on 2012-09-13
Changed in open-iscsi (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Scott Moser (smoser)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package open-iscsi - 2.0.873-3ubuntu2

---------------
open-iscsi (2.0.873-3ubuntu2) quantal; urgency=low

  * debian/extra/initramfs.local-top: start writing
    /run/initramfs/open-iscsi.interface file again (LP: #1050480)
  * debian/open-iscsi.iscsi-network-interface.upstart: integrate with
    resolvconf (LP: #1050487)
 -- Scott Moser <email address hidden> Mon, 17 Sep 2012 15:46:26 -0400

Changed in open-iscsi (Ubuntu):
status: In Progress → Fix Released
Scott Moser (smoser) wrote :

marking confirmed, as this issue was noticed as bug 1081660. Also verified that the fix there fixes this.

Changed in open-iscsi (Ubuntu Precise):
importance: Undecided → Medium
status: New → Confirmed
Scott Moser (smoser) on 2013-01-30
description: updated

Hello Scott, or anyone else affected,

Accepted open-iscsi into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/open-iscsi/2.0.871-0ubuntu9.12.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in open-iscsi (Ubuntu Precise):
status: Confirmed → Fix Committed
tags: added: verification-needed

The fix for this bug has been awaiting testing feedback in the -proposed repository for precise for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
Scott Moser (smoser) wrote :

marked as verification-done.
This fix is applied in the maas ephemeral images, and working correctly there.

tags: added: verification-done
removed: removal-candidate verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package open-iscsi - 2.0.871-0ubuntu9.12.04.2

---------------
open-iscsi (2.0.871-0ubuntu9.12.04.2) precise-proposed; urgency=low

  * update resolvconf with settings found by ipconfig for the
    interface that contains the iscsi-root filesystem (LP: #1050487)
  * support files written by klibc ipconfig to be found in /tmp or
    /run. copy files in /tmp to /run (LP: #1047722)
 -- Scott Moser <email address hidden> Mon, 17 Sep 2012 16:44:24 -0400

Changed in open-iscsi (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers